#### D.4.20.2 cornerMonomials

Procedure from library `pointid.lib` (see pointid_lib).

Usage:
  cornerMonomials(N); N ideal

Assume:
  N is given by monomials satisfying the condition that if a monomial is in N then any of its factors is in N (N is then called an order ideal)

Return:
  ideal, the corner-monomials of the order ideal N
  The corner-monomials are the leading monomials of an ideal I s.t. N is a basis of basering/I.

Note:
  In our applications, I is the vanishing ideal of a finte set of points.

Example:

    LIB "pointid.lib";
    ring R = 0,x(1..3),rp;
    poly n1 = 1;
    poly n2 = x(1);
    poly n3 = x(2);
    poly n4 = x(1)^2;
    poly n5 = x(3);
    poly n6 = x(1)^3;
    poly n7 = x(2)*x(3);
    poly n8 = x(3)^2;
    poly n9 = x(1)*x(2);
    ideal N = n1,n2,n3,n4,n5,n6,n7,n8,n9;
    cornerMonomials(N);
    ==> _[1]=x(1)^4
    ==> _[2]=x(1)^2*x(2)
    ==> _[3]=x(2)^2
    ==> _[4]=x(1)*x(3)
    ==> _[5]=x(2)*x(3)^2
    ==> _[6]=x(3)^3

User manual for Singular version 4-0-3, 2016, generated by texi2html.